/// #pkgName FGUI包名
/// #panelName UIPanel名字
/// #UIName = $"{#pkgName}{#panelName}" UIKey名字
/// 该脚本由模板创建
/// created by cb 2024

using XGame.Framework.UI;

namespace FL.FGUI
{
    public static partial class UIKeys
    {
        private static UIKey _MainBuffPreviewPanel;
        public static UIKey MainBuffPreviewPanel => _MainBuffPreviewPanel ?? (_MainBuffPreviewPanel = new UIKey("Main", "BuffPreviewPanel", typeof(MainBuffPreviewPanelView)));
    }
    public partial class MainBuffPreviewPanelView : UIView
    {

        protected override void AddController(IUIControllerGroup group)
        {
            group.Add(new MainBuffPreviewPanelCtrl());
        }

        protected override IUIViewModel CreateViewModel()
        {
            return new MainBuffPreviewPanelVM();
        }

        protected override void OnDispose()
        {
        }
    }
}

